// SSDT VoodooPS2Controller Clickpad / Trackpoint - based on SSDT-PS2K-T460.dsl (credit) tluck
// >> https://github.com/tluck/Lenovo-T460-Clover/blob/master/DSDT.T460/SSDT-PS2K-T460.dsl

DefinitionBlock ("", "SSDT", 2, "MAEMO", "Clickpad", 0x00000000)
{
    External (_SB_.PCI0.LPCB.KBD_, DeviceObj)    // (from opcode)

    Scope (\_SB.PCI0.LPCB.KBD)
    {
        Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
        {
            If (LNot (Arg2))
            {
                Return (Buffer (One)
                {
                     0x03                                           
                })
            }

            Return (Package (0x04)
            {
                "RM,oem-id", 
                "LENOVO", 
                "RM,oem-table-id", 
                "Thinkpad_ClickPad"
            })
        }

        Name (RMCF, Package (0x02)
        {
            "Synaptics TouchPad", 
            Package (0x2A)
            {
                "BogusDeltaThreshX", 
                0x0320, 
                "BogusDeltaThreshY", 
                0x0320, 
                "Clicking", 
                ">y", 
                "DragLockTempMask", 
                0x00040004, 
                "DynamicEWMode", 
                ">n", 
                "FakeMiddleButton", 
                ">n", 
                "HWResetOnStart", 
                ">y", 
                "PalmNoAction When Typing", 
                ">y", 
                "ScrollResolution", 
                0x0320, 
                "SmoothInput", 
                ">y", 
                "UnsmoothInput", 
                ">y", 
                "Thinkpad", 
                ">y", 
                "EdgeBottom", 
                Zero, 
                "FingerZ", 
                0x1E, 
                "MaxTapTime", 
                0x05F5E100, 
                "MouseMultiplierX", 
                One, 
                "MouseMultiplierY", 
                One, 
                "MouseScrollMultiplierX", 
                0x02, 
                "MouseScrollMultiplierY", 
                0x02, 
                "TrackpointScrollYMultiplier", 
                One, 
                "TrackpointScrollXMultiplier", 
                One
            }
        })
    }
}

