// SSDT XHC (USB Controller) _PRW & _DSM Hotpatch - based on usb_prw_0x6d_xhc_skl.txt (credit) RehabMan
// >> https://github.com/RehabMan/Laptop-DSDT-Patch/blob/master/usb/usb_prw_0x6d_xhc_skl.txt

DefinitionBlock ("", "SSDT", 2, "MAEMO", "XHC", 0x00000000)
{
    External (_SB_.PCI0.XHC_, DeviceObj)    // (from opcode)

    Scope (\_SB.PCI0.XHC)
    {
        Name (_PRW, Package (0x02)  // _PRW: Power Resources for Wake
        {
            0x6D, 
            Zero
        })
        Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
        {
            If (LEqual (Arg2, Zero))
            {
                Return (Buffer (One)
                {
                     0x03                                           
                })
            }

            Return (Package (0x0E)
            {
                "subsystem-id", 
                Buffer (0x04)
                {
                     0x70, 0x72, 0x00, 0x00                         
                }, 

                "subsystem-vendor-id", 
                Buffer (0x04)
                {
                     0x86, 0x80, 0x00, 0x00                         
                }, 

                "AAPL,current-available", 
                0x0834, 
                "AAPL,current-extra", 
                0x0898, 
                "AAPL,current-extra-in-sleep", 
                0x0640, 
                "AAPL,device-internal", 
                0x02, 
                "AAPL,max-port-current-in-sleep", 
                0x0834
            })
        }
    }
}

